Subject: [manet] Reactive Protocol - LOADng vs. AODVv2 at Atlanta

From: Don Sturek <[email-masked]>
Date: Thu, 01 Nov 2012 07:47:48 -0700

Why not just have presentations from both prospective solutions in Atlanta
(LOADng and AODVv2) and let the WG decide between these options as a work
plan to address the reactive protocol requirement in MANET:
1)  Progress LOADng (which seems to be happening anyway)
2)  Progress AODVv2 (which seems to have stalled for 2+ years but now
there are promises to pick that up)
3)  Merge AODVv2 and LOADng (which I think is impractical given e-mail
reflector traffic....)

Not working on a reactive protocol seems like the least desirable outcome.
  While there have been inputs for each possible path, it is unclear from
the reflector what the consensus of the group is.

Personally, it would be useful to hear in Atlanta about large scale
deployments (eg, working code) from each to help the WG decide.   I think
all relevant technical information should be provided by Atlanta to help
the WG make the right decision.

Don

---

From: Joseph Macker <[email-masked]>
Date: Thu, 1 Nov 2012 11:02:31 -0400

Presentations will happen as your recommend.
Co-chair, WG, and AD are important elements to discuss this with..

-------
My private opinions may align with yours.

On Thu, Nov 1, 2012 at 10:47 AM, Don Sturek <[email-masked]> wrote:

> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 15:20:12 +0000

I disagree with the present of LOADng, because it will need a full hour
discussion and will waste time as it already did twice. I recommend its
polace to discuss SHOULD be first on the MANET list (as required by MANET
Chair before but not followed).

However, I agree that the Chairs and AD are kindly recommended to organise
the meeting and to make it efficient and progress mostly the WG works
without other companies issues.

AB

---

From: Ulrich Herberg <[email-masked]>
Date: Thu, 1 Nov 2012 08:38:30 -0700

You don't have to participate in this discussion if you think it is such a waste of time. It would be much more productive if you actually read both drafts and give technical arguments for your opinion. Note that LOADng was only started after there was no activity on DYMO for 2.5 years. A half-hour discussion in the meeting seems not overly wasted time compared to that.

Ulrich

On Nov 1, 2012, at 8:20, Abdussalam Baryun <[email-masked]> wrote:

> I disagree with the present of LOADng, because it will need a full hour discussion and will waste time as it already did twice. I recommend its polace to discuss SHOULD be first on the MANET list (as required by MANET Chair before but not followed).
>  
> However, I agree that the Chairs and AD are kindly recommended to organise the meeting and to make it efficient and progress mostly the WG works without other companies issues.
>  
> AB
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 15:46:13 +0000

I am participating in the meeting which is a two hour meeting, and I don't
like to avoid this discussion, but like to avoid interrupts to WG
progresses. Please note that my recommendation prefers to let LOADng
discussions on the lists first (seems a suitable place/channel for such
confusing issues), use our valuable f2f meeting time on IETF-WG works.
However, agree that AD and Chairs will do the best practice.

AB

On Thu, Nov 1, 2012 at 3:38 PM, Ulrich Herberg <[email-masked]> wrote:

> You don't have to participate in this discussion if you think it is such a
> waste of time. It would be much more productive if you actually read both
> drafts and give technical arguments for your opinion. Note that LOADng was
> only started after there was no activity on DYMO for 2.5 years. A half-hour
> discussion in the meeting seems not overly wasted time compared to that.
>
> Ulrich
>
>

---

From: Jon Black <[email-masked]>
Date: Thu, 1 Nov 2012 08:47:32 -0700 (PDT)

+1

________________________________
 From: Don Sturek <[email-masked]>
To: "<[email-masked]> List" <[email-masked]> 
Sent: Thursday, November 1, 2012 8:47 AM
Subject: [manet] Reactive Protocol - LOADng vs. AODVv2 at Atlanta

Don

---

From: Philip Levis <[email-masked]>
Date: Thu, 1 Nov 2012 09:23:02 -0700

Simulations of wireless networks using unit disc, time invariant models have zero relevance to reality. Any results from such simulations MUST NOT be used as evidence of the performance of protocols. :)

Phil

On Oct 31, 2012, at 3:26 PM, Axel Colin de Verdière wrote:

> Hi JP,
> 
> As usual, there isn't just one situation, be it in MANETs in general or in LLNs in particular. The simulations shown did make some assumptions on the traffic, and some other assumptions might show different results, but that's true of any protocol. Which is why I would also be interested in your results concerning LOADng in LLNs.
> 
> Best,
> 
> Axel
> 
> Le 31 oct. 2012 à 15:12, JP Vasseur (jvasseur) <[email-masked]> a écrit :
> 
>> Hi Bo,
>> 
>> We need to be very careful there … these documents provide results that CANNOT be generalized to say the least.
>> Hypothesis made on traffic flows are such that you get the results that you would like to see …
>> 
>> Thanks
>> 
>> JP.
>> 
>> On Oct 31, 2012, at 7:29 PM, Bo Berry wrote:
>> 
>>> 
>>> For background and perspective, ran across these two docs on the origin 
>>> and performance of Loadng.  The WG may find helpful.
>>> 
>>> -Bo
>>> 
>>> 
>>> The LLN On-demand Ad hoc Distance-vector Routing Protocol - Next Generation (LOADng)	
>>> By T. Clausen. A. Colin de Verdiere. 
>>> Published in INRIA Research Report 7692 on 2011-07-25.
>>> http://hipercom.thomasclausen.net/resteam/data/publications/414efa79c4c772e5af46f426e77ca581.pdf
>>> 
>>> 
>>> A Comparative Performance Study of the Routing Protocols LOAD and RPL with Bi-Directional Traffic in Low-power and Lossy Networks (LLN)	
>>> By T. Clausen, U. Herberg. 
>>> Published in INRIA Research Report 7637 on 2011-06-01.
>>> http://hipercom.thomasclausen.net/resteam/data/publications/49eaae3228cf686a462108aef8332ceb.pdf
>>> 
>>> 
>>> 
>>> 
>>> On Oct 31, 2012, at 1:48 PM, Jon Black wrote:
>>> 
>>>> Certainly smart meters are one of the types of networks that are MANETs.  Just because houses do not move it does not mean that the connectivity between those meters isn't changing.  A smart meter network is most certainly a MANET.  [One could argue that it is not an LLN since at least from the electrical power there is no lack of power.]
>>>> 
>>>> Totally agree that one size does not fit all.
>>>> 
>>>> Jon
>>>> 
>>>> On October 31, 2012 John.Dowdell wrote:
>>>> 
>>>> While I am very pleased for you and your co-authors that the LOADng work has been so fruitful, I am not really sure that smart meters are really the kind of MANET devices that the working group was intended to address. I have been party to the conversations for only a year or two, so I am very happy to be corrected by those with longer histories, but MANET to me means dynamically moving nodes, with links being established and broken often and without prior warning. Examples may be communications networks built out of nodes contained in cars, trucks and aircraft of all sizes. I appreciate a comment on the list a while back that the RF environment for smart metering is actually more difficult than one would think, but I would suggest to the chairs that unless LOADng has applications in this dynamically mobile environment (and I have to admit I have not read the spec in enough detail to determine if this is the case), then we come to the conclusion that the DYMO/AODVv2 path sh
>>> ould be followed unless we collectively feel that such a direction is not worth pursuing (and note I am definitely not proposing that view).
>>>> 
>>>> In the two years or so that I have been working with MANETs, the only conclusion I have come to is that very many use cases exist, and that one size does not fit all.
>>>> 
>>>> Regards
>>>> 
>>>> John
>>>> 
>>>>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 1 Nov 2012 16:27:26 +0000

They can be good evidence of the failure of protocols ;)

But what is clear to me is that one important issue (and another of my posts is attempting to both be more precise, as well as going elsewhere) is the handling of unidirectional links. So any good evidence needs to consider those.

-- 
Christopher Dearlove
Senior Principal Engineer, Communications Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked] | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of Philip Levis
Sent: 01 November 2012 16:23
To: Axel Colin de Verdière
Cc: <[email-masked]> List; Bo Berry (boberry)
Subject: Re: [manet] Reactive Protocol Situation

----------------------! WARNING ! ----------------------
This message originates from outside our organisation,
either from an external partner or from the internet.
Keep this in mind if you answer this message.
Follow the 'Report Suspicious Emails' link on IT matters
for instructions on reporting suspicious email messages.
--------------------------------------------------------

Phil

On Oct 31, 2012, at 3:26 PM, Axel Colin de Verdière wrote:

>> We need to be very careful there . these documents provide results that CANNOT be generalized to say the least.
>> Hypothesis made on traffic flows are such that you get the results that you would like to see .
>> 
>> Thanks
>> 
>> JP.
>> 

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Philip Levis <[email-masked]>
Date: Thu, 1 Nov 2012 09:45:38 -0700

> But what is clear to me is that one important issue (and another of my posts is attempting to both be more precise, as well as going elsewhere) is the handling of unidirectional links. So any good…

Since communication in wireless is rarely binary, I think the more common term is asymmetric links. I'm confused; I don't believe that unit disc models capture asymmetric links. Is the implied statement that RPL doesn't properly handle asymmetric links but LOADng does? I think this came up in draft-clausen-lln-rpl-experiences and there was some discussion on the ROLL list about it. The neighbor set in RPL is defined in 8.2.1:

"First, the candidate neighbor set is a subset of the nodes that can be reached via link-local multicast."

then in DIO processing (8.2.3.1) it reads:

"As DIO messages are received from candidate neighbors, the neighbors may be promoted to DODAG parents by following the rules of DODAG discovery as described in Section 8.2."

I want to be clear here; I haven't read deeply about LOADng, thought about it much, or experimented with it at all. So I have zero to say about LOADng's strengths and weaknesses. 

But just because somebody publishes (and republishes) a draft saying something doesn't mean it's true. There are, in my opinion, some very valid points in draft-clausen-lln-rpl-experiences that relate to fundamental design decisions in RPL. For example, I think that the issues raised about the state requirements of floating DODAGs and RPL message fragmentation are valid and reasonable and something we need to look at. 

However, there are others that are the result of naive mistakes anyone can make when implementing any wireless routing protocol, such as link asymmetry and protocol convergence. Unfortunately the draft doesn't distinguish the two. Implementing a protocol poorly then saying it doesn't work isn't particularly meaningful. As I said in Paris, I thought the draft is valuable because it outlines many of the basic mistakes one makes the first time you try implementing a wireless routing protocol.

Phil

---

From: Don Sturek <[email-masked]>
Date: Thu, 01 Nov 2012 09:55:00 -0700

Hi Phil,

As you probably know, we (the ZigBee Alliance IP networking folks) are
using ROLL RPL.  To address the asymmetric link issue, we are using this
draft:   
http://datatracker.ietf.org/doc/draft-kelsey-intarea-mesh-link-establishmen
t/, and specifically the Link Quality exchange between neighbors.

This, along with a policy of adjusting routing information for these links
helps get around asymmetric link issues.

The MLE draft was written to be routing protocol neutral and could be
re-used for any commercial deployment and any mesh routing protocol.

Don

On 11/1/12 9:45 AM, "Philip Levis" <[email-masked]> wrote:

>> But what is clear to me is that one important issue (and another of my
>>posts is attempting to both be more precise, as well as going elsewhere)
>>is the handling of unidirectional links. So any good evidence needs to
>>consider those.
>
>Since communication in wireless is rarely binary, I think the more common
>term is asymmetric links. I'm confused; I don't believe that unit disc
>models capture asymmetric links. Is the implied statement that RPL
>doesn't properly handle asymmetric links but LOADng does? I think this
>came up in draft-clausen-lln-rpl-experiences and there was some
>discussion on the ROLL list about it. The neighbor set in RPL is defined
>in 8.2.1:
>
>"As DIO messages are received from candidate neighbors, the neighbors may
>be promoted to DODAG parents by following the rules of DODAG discovery as
>described in Section 8.2."
>
>I want to be clear here; I haven't read deeply about LOADng, thought
>about it much, or experimented with it at all. So I have zero to say
>about LOADng's strengths and weaknesses.
>
>But just because somebody publishes (and republishes) a draft saying
>something doesn't mean it's true. There are, in my opinion, some very
>valid points in draft-clausen-lln-rpl-experiences that relate to
>fundamental design decisions in RPL. For example, I think that the issues
>raised about the state requirements of floating DODAGs and RPL message
>fragmentation are valid and reasonable and something we need to look at.
>
>However, there are others that are the result of naive mistakes anyone
>can make when implementing any wireless routing protocol, such as link
>asymmetry and protocol convergence. Unfortunately the draft doesn't
>distinguish the two. Implementing a protocol poorly then saying it
>doesn't work isn't particularly meaningful. As I said in Paris, I thought
>the draft is valuable because it outlines many of the basic mistakes one
>makes the first time you try implementing a wireless routing protocol.
>
>Phil

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 1 Nov 2012 17:06:19 +0000

No, the implied statement is agreeing with you that simple disc models aren't enough, and highlighting a particularly key issue here. I have not even hinted that I'm discussing RPL, this is the MANET WG where the subject of the day is DYMO and LOADng. And I most particularly haven't even hinted at having anything to say about draft-clausen-lln-rpl-experiences.

(As for asymmetric vs. unidirectional, oddly most of what I write here uses asymmetric ;)

-----Original Message-----
From: Philip Levis [mailto:[email-masked]] 
Sent: 01 November 2012 16:46
To: Dearlove, Christopher (UK)
Cc: Axel Colin de Verdière; <[email-masked]> List; Bo Berry (boberry)
Subject: Re: [manet] Reactive Protocol Situation

Phil

---

From: Daniel He <[email-masked]>
Date: Thu, 1 Nov 2012 17:12:21 +0000

Great suggestions! We need a comparison work of AODVv2 and LOADng.

-- 
Dan He
---------------------
Tel: +44-788-686-3428

---

From: Ulrich Herberg <[email-masked]>
Date: Thu, 1 Nov 2012 10:12:45 -0700

Hi Phil,

maybe we should open a separate email thread about RPL
and draft-clausen-lln-rpl-experiences (and probably not in this WG).

Best
Ulrich

On Thu, Nov 1, 2012 at 9:45 AM, Philip Levis <[email-masked]> wrote:

> posts is attempting to both be more precise, as well as going elsewhere) is
> the handling of unidirectional links. So any good evidence needs to
> consider those.
>
> models capture asymmetric links. Is the implied statement that RPL doesn't
> properly handle asymmetric links but LOADng does? I think this came up in
> draft-clausen-lln-rpl-experiences and there was some discussion on the ROLL
> list about it. The neighbor set in RPL is defined in 8.2.1:
>
> I want to be clear here; I haven't read deeply about LOADng, thought about
> it much, or experimented with it at all. So I have zero to say about
> LOADng's strengths and weaknesses.
>
> something doesn't mean it's true. There are, in my opinion, some very valid
> points in draft-clausen-lln-rpl-experiences that relate to fundamental
> design decisions in RPL. For example, I think that the issues raised about
> the state requirements of floating DODAGs and RPL message fragmentation are
> valid and reasonable and something we need to look at.
>
> However, there are others that are the result of naive mistakes anyone can
> make when implementing any wireless routing protocol, such as link
> distinguish the two. Implementing a protocol poorly then saying it doesn't
> work isn't particularly meaningful. As I said in Paris, I thought the draft
> is valuable because it outlines many of the basic mistakes one makes the
> first time you try implementing a wireless routing protocol.
>
> Phil

---

From: Mukul Goyal <[email-masked]>
Date: Thu, 1 Nov 2012 12:25:52 -0500 (CDT)

Those of us who wont be at Atlanta would greatly appreciate hearing from AODVv2/LOADng authors on the mailing list what they think are the similarities and the differences between the two protocols.

Thanks
Mukul

----- Original Message -----
From: "Daniel He" <[email-masked]>
To: "Don Sturek" <[email-masked]>
Cc: "<[email-masked]> List" <[email-masked]>
Sent: Thursday, November 1, 2012 12:12:21 PM
Subject: Re: [manet] Reactive Protocol - LOADng vs. AODVv2 at Atlanta

On 1 November 2012 14:47, Don Sturek < [email-masked] > wrote: 

Don 

-- 
Dan He 
--------------------- 
Tel: +44-788-686-3428

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 1 Nov 2012 17:26:12 +0000

There's a more succinct way of saying what I said in several more lines. (The second sentence.)

[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

From: [email-masked] [mailto:[email-masked]] On Behalf Of Daniel He
Sent: 01 November 2012 17:12
To: Don Sturek
Cc: <[email-masked]> List
Subject: Re: [manet] Reactive Protocol - LOADng vs. AODVv2 at Atlanta

*** WARNING ***
This message originates from outside our organisation, either from an external partner or the internet.
Keep this in mind if you answer this message.
Please see this process<http://intranet.ent.baesystems.com/howwework/security/spotlights/Documents/Dealing%20With%20Suspicious%20Emails.pdf> on how to deal with suspicious emails.
Great suggestions! We need a comparison work of AODVv2 and LOADng.

On 1 November 2012 14:47, Don Sturek <[email-masked]<mailto:[email-masked]>> wrote:

Don

_______________________________________________
manet mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/manet

--
Dan He
---------------------
Tel: +44-788-686-3428

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 1 Nov 2012 17:39:15 +0000

I am interested to see your efforts on a comparison, but we don't forget to
mention that LOADng is developed from LOAD and AODV RFC3561,

AB

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 1 Nov 2012 19:24:39 +0000

> They can be good evidence of the failure of protocols ;)

Indeed ! This is usually when I found simulations quite interesting especially when using actual traces as opposed to hard-to-model
PHY/MAC models.

---

From: "JP Vasseur (jvasseur)" <[email-masked]>
Date: Thu, 1 Nov 2012 19:27:10 +0000

Indeed - we're diverging from the original question.

On Nov 1, 2012, at 6:12 PM, Ulrich Herberg wrote:

Hi Phil,

maybe we should open a separate email thread about RPL and draft-clausen-lln-rpl-experiences (and probably not in this WG).

Best
Ulrich

On Thu, Nov 1, 2012 at 9:45 AM, Philip Levis <[email-masked]<mailto:[email-masked]>> wrote:

Phil

---

From: Philip Levis <[email-masked]>
Date: Thu, 1 Nov 2012 17:53:39 -0700

100% agree -- totally misinterpreted Christopher's comment, my mistake. I apologize for the (thankfully nipped) digression.

Phil

---

From: "Stan Ratliff (sratliff)" <[email-masked]>
Date: Mon, 5 Nov 2012 16:11:01 +0000

Phil, 

Where were you during the OSPF MANET discussions???? ;-) ;-) That is *exactly* what we argued at the time. 

Regards,
Stan

---

From: jpmacker <[email-masked]>
Date: Mon, 5 Nov 2012 21:20:02 -0500

agreed dynamic unit disc graph (udg) analyses are often misleading even in first order effects. its just not reality.

this is well known old manet street knowledge, not a bad thing to start with but
 not comprehensive, i have a particular paper on this regarding cds backbone flooding.

Sent from my iPad